{ stdenv
, buildPythonPackage
, fetchPypi
, isPy3k
, pyparsing
}:

buildPythonPackage rec {
  pname = "dot2tex";
  version = "2.9.0";

  src = fetchPypi {
    inherit pname version;
    sha256 = "7d3e54add7dccdaeb6cc9e61ceaf7b587914cf8ebd6821cfea008acdc1e50d4a";
  };

  # Tests fail with 3.x. Furthermore, package is no longer maintained.
  disabled = isPy3k;

  propagatedBuildInputs = [ pyparsing ];

  meta = with stdenv.lib; {
    description = "Convert graphs generated by Graphviz to LaTeX friendly formats";
    homepage = "https://github.com/kjellmf/dot2tex";
    license = licenses.mit;
  };

}
